proc_thermal flooding dmesg

Bug #1824690 reported by Giovanni Caligaris on 2019-04-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Colin Ian King
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
thermald (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

== SRU Justification Bionic/Disco ==

proc_thermal messages are spamming the kernel log when used in conjunction with thermal. This is because the message is not set at the correct kernel log level.

== Fix ==

Upstream fix 44c0c23725a16c8803b8809b87651405e8741e4d ("drivers: thermal: processor_thermal: Downgrade error message"). This is in 5.2 so not applicable for Eoan.

This fix needs a minor backport wiggle for Bionic because the driver is located in a different place.

== Test case ==

Without the fix the kernel log is being spammed periodically with messages in the form:

[ 11.520358] proc_thermal 0000:00:00.1: Unsupported event [0x91]
[ 16.532358] proc_thermal 0000:00:00.1: Unsupported event [0x91]
[ 21.572719] proc_thermal 0000:00:00.1: Unsupported event [0x91]
[ 26.580855] proc_thermal 0000:00:00.1: Unsupported event [0x91]

With the fix these messages are no longer appearing.

== Regression Potential ==

This changes the log level, so regression potential is very limited, unless some program is relying on this message for some particular reason.

-----------------------------------------------

[ 11.520358] proc_thermal 0000:00:00.1: Unsupported event [0x91]
[ 16.532358] proc_thermal 0000:00:00.1: Unsupported event [0x91]
[ 21.572719] proc_thermal 0000:00:00.1: Unsupported event [0x91]
[ 26.580855] proc_thermal 0000:00:00.1: Unsupported event [0x91]
[ 31.588851] proc_thermal 0000:00:00.1: Unsupported event [0x91]
[ 36.592827] proc_thermal 0000:00:00.1: Unsupported event [0x91]
[ 41.572682] random: crng init done
[ 41.572690] random: 7 urandom warning(s) missed due to ratelimiting

Kernel 4.18.0-18-generic
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.2 LTS
Release: 18.04
Codename: bionic
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: juno 1175 F.... pulseaudio
CurrentDesktop: XFCE
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2019-04-15 (0 days ago)
InstallationMedia: Xubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 8087:0025 Intel Corp.
 Bus 001 Device 003: ID 04f2:b59e Chicony Electronics Co., Ltd
 Bus 001 Device 002: ID 1ea7:0064
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Notebook N24_25GU
Package: thermald 1.7.0-5ubuntu2
PackageArchitecture: amd64
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-18-generic root=UUID=a23ca3ac-6284-45ce-9aa8-6670879910e7 ro quiet splash acpi_osi= acpi_os_name=Linux vt.handoff=1
ProcVersionSignature: Ubuntu 4.18.0-18.19~18.04.1-generic 4.18.20
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-18-generic N/A
 linux-backports-modules-4.18.0-18-generic N/A
 linux-firmware 1.173.5
Tags: bionic
Uname: Linux 4.18.0-18-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 05/18/2018
dmi.bios.vendor: INSYDE Corp.
dmi.bios.version: 1.07.06
dmi.board.asset.tag: Tag 12345
dmi.board.name: N24_25GU
dmi.board.vendor: Notebook
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Notebook
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnINSYDECorp.:bvr1.07.06:bd05/18/2018:svnNotebook:pnN24_25GU:pvrNotApplicable:rvnNotebook:rnN24_25GU:rvrNotApplicable:cvnNotebook:ct10:cvrN/A:
dmi.product.family: Not Applicable
dmi.product.name: N24_25GU
dmi.product.sku: Not Applicable
dmi.product.version: Not Applicable
dmi.sys.vendor: Notebook

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1824690

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: bionic

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Giovanni Caligaris (junocomp) wrote :

Any idea how to solve this?

Colin Ian King (colin-king) wrote :

This would require a kernel fix to disable this kernel message.

Perhaps just disabling thermald may be the best way forward for the moment.

sudo systemctl disable thermald

Giovanni Caligaris (junocomp) wrote :

If I disable thermald, could it harm my laptop. Is there a chance of overheating?

Colin Ian King (colin-king) wrote :

When a laptop reaches a CPU specific temperature threshold it will cause rapid and immediate shutdown to avoid physically damaging the machine. Older laptops sometimes have issues because the cooling paths are not 100% effective and can lead to overheating, so you may be OK with disabling thermald if you laptop has good thermal dissipation.

This is not related to thermald and thermald may not fix this.
Rui is submitting a kernel patch to downgrade message level.

Colin Ian King (colin-king) wrote :

Thanks Srinivas for the update. If you can let us know when the patch has landed I can add this into the older kernels as part of a SRU procedure.

Rui submitted a patch to change to dev_notice()
https://git.kernel.org/pub/scm/linux/kernel/git/rzhang/linux.git/commit
/?h=next&id=3c7110fab805766450c5d2eac1c994d4c8c230d3

But with default log level in Ubuntu, I think dev_notice will be dumped to dmesg. Is it correct?

I submitted another patch to change to dev_dbg(). Let's see if it gets in.

Colin Ian King (colin-king) wrote :

Ubuntu runs with a default log level of KERN_WARNING (4), so KERN_NOTICE (5) should be silently ignored.

Colin Ian King (colin-king) wrote :

I've uploaded kernel packages containing the fix at https://kernel.ubuntu.com/~cking/lp-1824690 - do you mind testing these to see if they resolve the issue for you?

Changed in linux (Ubuntu):
status: Incomplete → In Progress
importance: Undecided → Low
assignee: nobody → Colin Ian King (colin-king)
status: In Progress → Incomplete
importance: Low → Medium
Colin Ian King (colin-king) wrote :

Hi Giovanni, would you mind testing the fix as mentioned in comment #24 so that we can see if this addresses the issue for you?

Changed in thermald (Ubuntu):
status: New → Incomplete
Colin Ian King (colin-king) wrote :

Hi Giovanni, do you mind testing the kernels as mentioned in comment #24,

1. download the .deb packages https://kernel.ubuntu.com/~cking/lp-1824690
2. from the relevant Download directory, install them using:

sudo dpkg -i *.deb

3. reboot and test.

Thank you.

Giovanni Caligaris (junocomp) wrote :

Hi Colin,

I tried testing your kernel but it fails on every boot, I get initramfs /proc/cmdline error.

Currently I am now running Ubuntu 19.04 kernel 5.0 and the error persist. I tried uninstalling thermald but the problem is still there.

I have also installed linux-firmware 1.179, same problem.

How did you patched the kernel, can I do it using dkms?

Colin Ian King (colin-king) wrote :

I've applied the patch to the Ubuntu Bionic kernel, please re-test by downloading and installing all the packages in:

https://kernel.ubuntu.com/~cking/lp-1824690/disco/

..and let me know if that helps.

And to answer your questions in comment #27, the kernel is packages are just build using the current tip of the disco ubuntu kernel with Srinivas' patch applied. This is something that cannot be fixed by using dkms.

Colin Ian King (colin-king) wrote :

@Giovanni - any progress on testing this?

Giovanni Caligaris (junocomp) wrote :

Hi @coling-king,

I don't have my laptop with me this week but I will try it in the coming days and will let you know.

Colin Ian King (colin-king) wrote :

Great, thank you!

Giovanni Caligaris (junocomp) wrote :

@colin-king,

I tried your kernel and it works!

Currently I am running linux-generic-hwe-18.04-edge kernel 5.0.0-20-generic and you're version now lags behind.

Can this be integrated onto kernel 5.0?

description: updated
Changed in thermald (Ubuntu):
status: Incomplete → In Progress
status: In Progress → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux (Ubuntu Disco):
status: New → Fix Committed
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
Giovanni Caligaris (junocomp) wrote :

Will the fix be added to kernels 4.18 and onwards?

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
Colin Ian King (colin-king) wrote :

@Giovanni it will be fixed for Bionic, Disco, Eoan etc.

Giovanni Caligaris (junocomp) wrote :

@colin-king Ok thanks. Do I still have to change the tag to verification-done-disco?

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Connor Kuehl (connork) wrote :

Hi Giovanni,

Regarding your question in comment #36: yes, please change the tag to 'verification-done-disco' if you've confirmed the issue is resolved on your 5.0 Disco kernel. If it doesn't resolve the issue, go ahead and change it to 'verification-failed-disco'

Thanks,

Connor

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.0.0-25.26

---------------
linux (5.0.0-25.26) disco; urgency=medium

  * CVE-2019-1125
    - x86/cpufeatures: Carve out CQM features retrieval
    - x86/cpufeatures: Combine word 11 and 12 into a new scattered features word
    - x86/speculation: Prepare entry code for Spectre v1 swapgs mitigations
    - x86/speculation: Enable Spectre v1 swapgs mitigations
    - x86/entry/64: Use JMP instead of JMPQ
    - x86/speculation/swapgs: Exclude ATOMs from speculation through SWAPGS

 -- Kleber Sacilotto de Souza <email address hidden> Thu, 01 Aug 2019 12:04:35 +0200

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (171.3 KiB)

This bug was fixed in the package linux - 4.15.0-58.64

---------------
linux (4.15.0-58.64) bionic; urgency=medium

  * unable to handle kernel NULL pointer dereference at 000000000000002c (IP:
    iget5_locked+0x9e/0x1f0) (LP: #1838982)
    - Revert "ovl: set I_CREATING on inode being created"
    - Revert "new primitive: discard_new_inode()"

linux (4.15.0-57.63) bionic; urgency=medium

  * CVE-2019-1125
    - x86/cpufeatures: Carve out CQM features retrieval
    - x86/cpufeatures: Combine word 11 and 12 into a new scattered features word
    - x86/speculation: Prepare entry code for Spectre v1 swapgs mitigations
    - x86/speculation: Enable Spectre v1 swapgs mitigations
    - x86/entry/64: Use JMP instead of JMPQ
    - x86/speculation/swapgs: Exclude ATOMs from speculation through SWAPGS

  * Packaging resync (LP: #1786013)
    - update dkms package versions

linux (4.15.0-56.62) bionic; urgency=medium

  * bionic/linux: 4.15.0-56.62 -proposed tracker (LP: #1837626)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update helper scripts

  * CVE-2019-2101
    - media: uvcvideo: Fix 'type' check leading to overflow

  * hibmc-drm Causes Unreadable Display for Huawei amd64 Servers (LP: #1762940)
    - [Config] Set CONFIG_DRM_HISI_HIBMC to arm64 only
    - SAUCE: Make CONFIG_DRM_HISI_HIBMC depend on ARM64

  * Bionic: support for Solarflare X2542 network adapter (sfc driver)
    (LP: #1836635)
    - sfc: make mem_bar a function rather than a constant
    - sfc: support VI strides other than 8k
    - sfc: add Medford2 (SFC9250) PCI Device IDs
    - sfc: improve PTP error reporting
    - sfc: update EF10 register definitions
    - sfc: populate the timer reload field
    - sfc: update MCDI protocol headers
    - sfc: support variable number of MAC stats
    - sfc: expose FEC stats on Medford2
    - sfc: expose CTPIO stats on NICs that support them
    - sfc: basic MCDI mapping of 25/50/100G link speeds
    - sfc: support the ethtool ksettings API properly so that 25/50/100G works
    - sfc: add bits for 25/50/100G supported/advertised speeds
    - sfc: remove tx and MCDI handling from NAPI budget consideration
    - sfc: handle TX timestamps in the normal data path
    - sfc: add function to determine which TX timestamping method to use
    - sfc: use main datapath for HW timestamps if available
    - sfc: only enable TX timestamping if the adapter is licensed for it
    - sfc: MAC TX timestamp handling on the 8000 series
    - sfc: on 8000 series use TX queues for TX timestamps
    - sfc: only advertise TX timestamping if we have the license for it
    - sfc: simplify RX datapath timestamping
    - sfc: support separate PTP and general timestamping
    - sfc: support second + quarter ns time format for receive datapath
    - sfc: support Medford2 frequency adjustment format
    - sfc: add suffix to large constant in ptp
    - sfc: mark some unexported symbols as static
    - sfc: update MCDI protocol headers
    - sfc: support FEC configuration through ethtool
    - sfc: remove ctpio_dmabuf_start from stats
    - sfc: stop the TX queue before pushing new buffers

  * [18.04 FEAT] zKVM: Add hardwar...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Changed in thermald (Ubuntu Bionic):
status: New → Invalid
Changed in thermald (Ubuntu Disco):
status: New → Invalid
Giovanni Caligaris (junocomp) wrote :

I am now running kernel 5.0.0-26-generic and the error is gone. Thank you for everything.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers